## org.jfree.report.modules.gui.swing.preview.actions
Class ControlAction

    java.lang.Object
      javax.swing.AbstractAction
          org.jfree.report.modules.gui.swing.preview.actions.ControlAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

    public class ControlAction

extends javax.swing.AbstractAction

Creation-Date: 16.11.2006, 17:52:48

Author:
  Thomas Morgner
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`ControlAction(ControlActionPlugin actionPlugin, PreviewPane previewPane)` Defines an `Action` object with a default description string and default icon.

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)` Invoked when an action occurs.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlAction

    public ControlAction(ControlActionPlugin actionPlugin,
                         PreviewPane previewPane)

  Defines an `Action` object with a default description string and default icon.

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Invoked when an action occurs.